Package org.drinkless.tdlib

# Class TdApi.LogStreamFile

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LogStream
org.drinkless.tdlib.TdApi.LogStreamFile

Enclosing class:
  `TdApi`

public static class TdApi.LogStreamFile extends TdApi.LogStream
The log is written to a file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LogStream

  `TdApi.LogStream.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `maxFileSize`
  The maximum size of the file to where the internal TDLib log is written before the file will automatically be rotated, in bytes.
  `String`
  `path`
  Path to the file to where the internal TDLib log will be written.
  `boolean`
  `redirectStderr`
  Pass true to additionally redirect stderr to the log file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogStreamFile()`
  The log is written to a file.
  `LogStreamFile(String path, long maxFileSize, boolean redirectStderr)`
  The log is written to a file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### path

    public String path
    Path to the file to where the internal TDLib log will be written.

  - ### maxFileSize

    public long maxFileSize
    The maximum size of the file to where the internal TDLib log is written before the file will automatically be rotated, in bytes.

  - ### redirectStderr

    public boolean redirectStderr
    Pass true to additionally redirect stderr to the log file. Ignored on Windows.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LogStreamFile

    public LogStreamFile()
    The log is written to a file.

  - ### LogStreamFile

    public LogStreamFile(String path, long maxFileSize, boolean redirectStderr)
    The log is written to a file.
    Parameters:
      `path` - Path to the file to where the internal TDLib log will be written.
      `maxFileSize` - The maximum size of the file to where the internal TDLib log is written before the file will automatically be rotated, in bytes.
      `redirectStderr` - Pass true to additionally redirect stderr to the log file. Ignored on Windows.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LogStream`
    Returns:
      this.CONSTRUCTOR